summaryrefslogtreecommitdiffstats
path: root/source/n/libgpg-error/libgpg-error.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/libgpg-error/libgpg-error.SlackBuild')
-rwxr-xr-xsource/n/libgpg-error/libgpg-error.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/n/libgpg-error/libgpg-error.SlackBuild b/source/n/libgpg-error/libgpg-error.SlackBuild
index 87caab510..af89d6459 100755
--- a/source/n/libgpg-error/libgpg-error.SlackBuild
+++ b/source/n/libgpg-error/libgpg-error.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2006, 2009 Robby Workman, Northport, AL, USA
-# Copyright 2007, 2008, 2009, 2010, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2015, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -77,6 +77,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# 'namespace' is a builtin in gawk5, so change it to 'libgpg_error_namespace':
+zcat $CWD/libgpg-error.gawk5.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \